> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/api-reference/prices.md).

# Prices

## List variant prices

> Lists a variant's prices.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Prices"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"price":{"type":"object","properties":{"id":{"type":"integer"},"amount":{"type":"string"},"currency":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"variant":{"$ref":"#/components/schemas/variant"}},"title":"Price"},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"variant":{"type":"object","title":"Variant","properties":{"cost_price":{"type":"string"},"depth":{"type":"string"},"description":{"type":"string"},"display_price":{"type":"string"},"height":{"type":"string"},"id":{"type":"integer"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"in_stock":{"type":"boolean"},"is_backorderable":{"type":"boolean"},"is_destroyed":{"type":"boolean"},"is_master":{"type":"boolean"},"name":{"type":"string"},"option_values":{"type":"array","items":{"$ref":"#/components/schemas/option-value"}},"options_text":{"type":"string"},"price":{"type":"string"},"sku":{"type":"string"},"slug":{"type":"string"},"total_on_hand":{"type":"integer"},"track_inventory":{"type":"boolean"},"weight":{"type":"string"},"width":{"type":"string"},"metadata":{"$ref":"#/components/schemas/metadata"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"option-value":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"option_type_id":{"type":"integer"},"option_type_name":{"type":"string"},"option_type_presentation":{"type":"string"},"presentation":{"type":"string"}},"title":"Option value"},"metadata":{"type":"object","nullable":true,"additionalProperties":true,"properties":{},"title":"Metadata","description":"A key-value store of additional information. A key can be removed by\nsetting its value to null.\n"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/prices":{"get":{"summary":"List variant prices","description":"Lists a variant's prices.","operationId":"list-variant-prices","tags":["Prices"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"prices":{"type":"array","items":{"$ref":"#/components/schemas/price"}}}}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Create variant price

> Creates a price for a variant.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Prices"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"price-input":{"type":"object","title":"Price input","properties":{"amount":{"type":"string","format":"float"},"currency":{"type":"string"},"country":{"type":"string"}}},"price":{"type":"object","properties":{"id":{"type":"integer"},"amount":{"type":"string"},"currency":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"variant":{"$ref":"#/components/schemas/variant"}},"title":"Price"},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"variant":{"type":"object","title":"Variant","properties":{"cost_price":{"type":"string"},"depth":{"type":"string"},"description":{"type":"string"},"display_price":{"type":"string"},"height":{"type":"string"},"id":{"type":"integer"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"in_stock":{"type":"boolean"},"is_backorderable":{"type":"boolean"},"is_destroyed":{"type":"boolean"},"is_master":{"type":"boolean"},"name":{"type":"string"},"option_values":{"type":"array","items":{"$ref":"#/components/schemas/option-value"}},"options_text":{"type":"string"},"price":{"type":"string"},"sku":{"type":"string"},"slug":{"type":"string"},"total_on_hand":{"type":"integer"},"track_inventory":{"type":"boolean"},"weight":{"type":"string"},"width":{"type":"string"},"metadata":{"$ref":"#/components/schemas/metadata"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"option-value":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"option_type_id":{"type":"integer"},"option_type_name":{"type":"string"},"option_type_presentation":{"type":"string"},"presentation":{"type":"string"}},"title":"Option value"},"metadata":{"type":"object","nullable":true,"additionalProperties":true,"properties":{},"title":"Metadata","description":"A key-value store of additional information. A key can be removed by\nsetting its value to null.\n"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/variants/{variant_id}/prices":{"post":{"summary":"Create variant price","description":"Creates a price for a variant.","operationId":"create-variant-price","tags":["Prices"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/price-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/price"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Get variant price

> Retrieves a variant's price.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Prices"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"price":{"type":"object","properties":{"id":{"type":"integer"},"amount":{"type":"string"},"currency":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"variant":{"$ref":"#/components/schemas/variant"}},"title":"Price"},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"variant":{"type":"object","title":"Variant","properties":{"cost_price":{"type":"string"},"depth":{"type":"string"},"description":{"type":"string"},"display_price":{"type":"string"},"height":{"type":"string"},"id":{"type":"integer"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"in_stock":{"type":"boolean"},"is_backorderable":{"type":"boolean"},"is_destroyed":{"type":"boolean"},"is_master":{"type":"boolean"},"name":{"type":"string"},"option_values":{"type":"array","items":{"$ref":"#/components/schemas/option-value"}},"options_text":{"type":"string"},"price":{"type":"string"},"sku":{"type":"string"},"slug":{"type":"string"},"total_on_hand":{"type":"integer"},"track_inventory":{"type":"boolean"},"weight":{"type":"string"},"width":{"type":"string"},"metadata":{"$ref":"#/components/schemas/metadata"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"option-value":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"option_type_id":{"type":"integer"},"option_type_name":{"type":"string"},"option_type_presentation":{"type":"string"},"presentation":{"type":"string"}},"title":"Option value"},"metadata":{"type":"object","nullable":true,"additionalProperties":true,"properties":{},"title":"Metadata","description":"A key-value store of additional information. A key can be removed by\nsetting its value to null.\n"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/prices/{id}":{"get":{"summary":"Get variant price","description":"Retrieves a variant's price.","operationId":"get-variant-price","tags":["Prices"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/price"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Delete variant price

> Deletes a variant's price.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Prices"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"responses":{"no-content":{"description":"Successful operation with no content returned"},"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"delete-restriction":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/prices/{id}":{"delete":{"summary":"Delete variant price","description":"Deletes a variant's price.","operationId":"delete-variant-price","tags":["Prices"],"responses":{"204":{"$ref":"#/components/responses/no-content"},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/delete-restriction"}}}}}}
```

## Update variant price

> Updates a variant's price.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Prices"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"price-input":{"type":"object","title":"Price input","properties":{"amount":{"type":"string","format":"float"},"currency":{"type":"string"},"country":{"type":"string"}}},"price":{"type":"object","properties":{"id":{"type":"integer"},"amount":{"type":"string"},"currency":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"variant":{"$ref":"#/components/schemas/variant"}},"title":"Price"},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"variant":{"type":"object","title":"Variant","properties":{"cost_price":{"type":"string"},"depth":{"type":"string"},"description":{"type":"string"},"display_price":{"type":"string"},"height":{"type":"string"},"id":{"type":"integer"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"in_stock":{"type":"boolean"},"is_backorderable":{"type":"boolean"},"is_destroyed":{"type":"boolean"},"is_master":{"type":"boolean"},"name":{"type":"string"},"option_values":{"type":"array","items":{"$ref":"#/components/schemas/option-value"}},"options_text":{"type":"string"},"price":{"type":"string"},"sku":{"type":"string"},"slug":{"type":"string"},"total_on_hand":{"type":"integer"},"track_inventory":{"type":"boolean"},"weight":{"type":"string"},"width":{"type":"string"},"metadata":{"$ref":"#/components/schemas/metadata"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"option-value":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"option_type_id":{"type":"integer"},"option_type_name":{"type":"string"},"option_type_presentation":{"type":"string"},"presentation":{"type":"string"}},"title":"Option value"},"metadata":{"type":"object","nullable":true,"additionalProperties":true,"properties":{},"title":"Metadata","description":"A key-value store of additional information. A key can be removed by\nsetting its value to null.\n"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/variants/{variant_id}/prices/{id}":{"patch":{"summary":"Update variant price","description":"Updates a variant's price.","operationId":"update-variant-price","tags":["Prices"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/price-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/price"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/api-reference/prices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
